#include "campsettings.h"
#include <define.h>
#include <QDebug>

CampSettings::CampSettings(QObject *parent) : QObject(parent)
{
    m_accFee = 0;
    m_rounding = Enums::R_MATH;
    m_decimalPlaces = 0;
    m_vatType = Enums::NONE;
}

QDecDouble CampSettings::accFee() const
{
    return TO_DEC(m_accFee);
}

void CampSettings::setAccFee(QDecDouble accFee)
{
    m_accFee = FROM_DEC(accFee);
}

Enums::Rounding CampSettings::rounding() const
{
    return m_rounding;
}

void CampSettings::setRounding(const Enums::Rounding &rounding)
{
    m_rounding = rounding;
}

int CampSettings::decimalPlaces() const
{
    return m_decimalPlaces;
}

void CampSettings::setDecimalPlaces(int decimalPlaces)
{
    m_decimalPlaces = decimalPlaces;
}

int CampSettings::accFeeStartAge() const
{
    return m_accFeeStartAge;
}

void CampSettings::setAccFeeStartAge(int accFeeStartAge)
{
    m_accFeeStartAge = accFeeStartAge;
}

int CampSettings::accFeeEndAge() const
{
    return m_accFeeEndAge;
}

void CampSettings::setAccFeeEndAge(int accFeeEndAge)
{
    m_accFeeEndAge = accFeeEndAge;
}

QString CampSettings::accFeeText() const
{
    return m_accFeeText;
}

void CampSettings::setAccFeeText(const QString &accFeeText)
{
    m_accFeeText = accFeeText;
}

Enums::VatType CampSettings::vatType() const
{
    return m_vatType;
}

void CampSettings::setVatType(const Enums::VatType &vatType)
{
    m_vatType = vatType;
}
